[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1

[FLAGS]
CTY_PARMS = 0

[Manufacturer]
Conexant = Conexant

[Conexant]
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3800 ; Venus3
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5114&SUBSYS_17AA3800 ; Venus3
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3801 ; Vienna-M
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5114&SUBSYS_17AA3801 ; Vienna-M
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0004 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0004 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0005 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0005 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0008 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0008 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0009 ; 
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0009 ; 
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2217 ; ZIPS1
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2217 ; ZIPS1
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA503E ; ZIPS3
Conexant = HdAud2075x, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5027
Conexant = HdAud2075x, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5028
Conexant = HdAud2075x, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA502A
Conexant = HdAud2075x1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA000A
Conexant = HdAud2075x1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA501B
Conexant = HdAud2075x1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA502C
Conexant = HdAud2075x1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA510E
Conexant = HdAud2075x2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA000B
Conexant = HdAud2075x2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5026

Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5102
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0100
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0101
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0002
Conexant = HdAud2058x3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0003

[HdAudModel1]
AddReg = Init1.AddReg,Init2.AddReg

[HdAudModel2]
AddReg = Init2.AddReg

[HdAudModel3]
AddReg = Init3.AddReg

[HdAud2075x]
AddReg = Init4.AddReg, Init5.AddReg, Init7.AddReg

[HdAud2075x1]
AddReg = Init5.AddReg

[HdAud2075x2]
AddReg = Init4.AddReg, Init5.AddReg, Init6.AddReg

[HdAud2058x3]
AddReg = Init8.AddReg

[Init1.AddReg]
HKR,Settings\OEM,Flags6,1,04,00,00,00 ; Enable Render Soft Volume
HKR,Settings\OEM,EnableDolbyVoIPSwitch,1,01,00,00,00 

[Init2.AddReg]
HKR,Settings\OEM,EnableDolbyVoIPSwitch,1,01,00,00,00 

[Init3.AddReg]
HKR,Settings\OEM,EnableMicEQ,1,01,00,00,00 
HKR,Settings\OEM,EnableDolbyVoIPSwitch,1,01,00,00,00 

[Init4.AddReg]
HKR,Settings\OEM,Flags5,1,68,08,40,00 ; Enable bit5 EnableReducePowerDelayWA
HKR,Settings\OEM,DefaultVREnabled,1,FF,00,00,00

[Init5.AddReg]
HKR,Settings\OEM,EnableIntelASR,1,01,00,00,00
HKR,GlobalSettings,MicNrAgressivenessLevel,1,00,00,00,00 ; Mic NR Agressiveness

[Init6.AddReg]
HKR,Settings\OEM\MicInRange,IntMicGainAdded,1,00,00,FA,FF

[Init7.AddReg]
HKR,%EPattributePath%\EPid19,EPname,1,02 ; External Microphone
HKR,%EPattributePath%\EPid1A,EPname,1,01 ; Internal Microphone

[Init8.AddReg]
HKR,Settings\OEM,EnableDolbyVoIPSwitch,1,01,00,00,00 

[WaveRTSPK]
%Render_AudioEndpoint_Flag%, %PKEY_Endpoint_ID%, %REG_QUALIFIER%, 0x0010
%Render_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},1023", %REG_DWORD%, 0x0000   ; Do not disable SysPB when VOIP
%Render_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},1024", %REG_DWORD%, 0x0001   ; Enable SPK soft volume

[WaveRTHP]
%Render_AudioEndpoint_Flag%, %PKEY_Endpoint_ID%, %REG_QUALIFIER%, 0x0050
%Render_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},1023", %REG_DWORD%, 0x0000   ; Do not disable SysPB when VOIP
%Render_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},1024", %REG_DWORD%, 0x0001   ; Enable SPK soft volume

[Strings]
;;;These are argument #1 variables. The CoInstaller uses this to determine the Registry path to use.
;;;This defines whether the parameter is Audio Endpoint data or Endpoint data. It also indicates if this will be a "capture" or "render" data.
;;;The Audio Endpoint data will go in the Registry key "Properties" and The Endpoint data will go in the Registry key "FxProperties"
Render_AudioEndpoint_Flag	= 0
Render_Endpoint_Flag		= 1
Capture_AudioEndpoint_Flag	= 2
Capture_Endpoint_Flag		= 3
Render_Root_Flag		= 4
Capture_Root_Flag		= 5

;;;These are argument #2 variables
PKEY_Endpoint_GFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},2"
PKEY_Endpoint_LFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},1"
PKEY_Endpoint_UI_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},3"
PKEY_Endpoint_ID = "{A4A2C5A8-D979-4939-B4D5-AA85D6F08162},0"

SYSFX_UI_CLSID      = "{5860E1C5-F95C-4a7a-8EC8-8AEF24F379A1}"
SYSFX_PREMIX_CLSID  = "{19A120F2-EB17-4913-B7F0-C79704808200}"
SYSFX_POSTMIX_CLSID = "{C21FE761-A4DE-4060-B707-0E0C04808200}"

PKEY_Device_Type = "{34F9EAF0-F3FF-11DD-AC1D-B27C55D89593},0"

SYSFX_FriendlyName  = "CnxtDSP System Effect"
EPattributePath="Settings\EPattributes"

;;;These are argument #3 variables. These are standard INF values decribing the format type of the Registry value.
REG_DWORD = 0x10001
REG_QUALIFIER = 0x11111111